<?php if (!isset($_SESSION["role"]) || $_SESSION["role"] != Role::ADMIN && $_SESSION["role"] != Role::ORGANIZER)
	require_once "server_files/403.php";

if (isset($_POST["download_zip"])) {
    $id = $_POST["tournament"];
    $tournament = Tournament::fromId($id);
	$syntheses = $tournament->getAllSyntheses();

    $zip = new ZipArchive();

    $temp = tempnam("tmp", "tfjm-");

    if ($zip->open($temp, ZipArchive::CREATE) !== true) {
        die("Impossible de créer le fichier zip.");
    }

	/** @var Synthesis $synthesis */
	foreach ($syntheses as $synthesis) {
        $file_id = $synthesis->getFileId();
        $dest = $synthesis->getDest();
        $version = $synthesis->getVersion();
        $team = Team::fromId($synthesis->getTeamId());
        $team_name = $team->getName();
        $team_trigram = $team->getTrigram();

        $zip->addFile("$LOCAL_PATH/files/$file_id", "Note de synthèse $team_trigram pour " . ($dest == DestType::OPPOSANT ? "l'opposant" : "le rapporteur") . ".pdf");
    }

    $zip->close();

    header("Content-Type: application/zip");
    header("Content-Disposition: attachment; filename=\"Notes de syntèses du tournoi de " . $tournament->getName() . ".zip\"");
    header("Content-Length: " . filesize($temp));

    readfile($temp);

    exit();
}

$user = $_SESSION["user"];
$tournaments = $_SESSION["role"] == Role::ADMIN ? Tournament::getAllTournaments() : $user->getOrganizedTournaments();

require_once "server_files/views/syntheses_orga.php";