<?php require_once "header.php" ?>

    <div>

        <div class="jumbotron bg-white">
            <div class="row">
                <h1 class="display-3">
                    Bienvenue sur le site d'inscription au <a href="https://tfjm.org">TFJM^2</a> !
                </h1>
                <h2 class="display-4 text-muted">
                    Le Tournoi Français des Jeunes Mathématiciens et Mathématiciennes
                </h2>
            </div>
        </div>
        <div class="row jumbotron bg-white">
            <div class="col-sm">
                <h3>
                    Tu souhaites participer au tournoi ?
                    <br/>
                    Ton équipe est déjà formée ?
                </h3>
            </div>
            <div class="col-sm text-right">
                <div class="btn-group-vertical">
                    <a class="btn btn-primary btn-lg" href="/inscription" role="button">Inscris-toi maintenant!</a>
                    <a class="btn btn-light btn-lg" href="/connexion" role="button">J'ai déjà un compte</a>
                </div>
            </div>
        </div>

        <div class="alert alert-warning">
            <h5 class="alert-heading">Attentions aux échéances</h5>
            <p class="mb-0">
                Chaque tournoi a une date limite pour les inscriptions et une date limite pour
                déposer vos solutions. <a href="https://tfjm.org/infos-tournois/">En savoir plus</a>
            </p>
        </div>

        <div class="alert alert-info" href="mailto:contact@tfjm.org">
            <h5 class="alert-heading">Modification du règlement</h5>
            <p class="mb-0">
                Depuis l'année dernière, l'équipe doit envoyer par mail à contact@tfjm.org les informations suivantes:
            <ul>
                <li>Comment l’équipe s’est-elle formée ?</li>
                <li>
                    Comment l’équipe va-t-elle travailler (où peut-elle se rencontrer, à quelle fréquence, rencontres
                    avec l’encadrant•e) ?
                </li>
            </ul>

            Cette lettre permettra aux organisateurs•trices de vérifier que l’équipe dispose des conditions nécessaires
            à une participation sérieuse. Sont dispensées les équipes dont la moitié ou plus des membres sont scolarisés
            dans le même établissement. Le comité National d’Organisation se réserve le droit d’accepter ou non
            l’inscription des équipes concernées par cette lettre.
            </p>
        </div>

        <div class="spacer" style="height: 48px"></div>

        <div class="jumbotron">
            <h5 class="display-4">Comment ça marche ?</h5>
            <p>
                Pour participer à l'un des tournois régionaux, il suffit de créer un compte sur la rubrique
                <b>Inscription</b>. Il vous faudra une adresse email pour ce faire. Un mail de confirmation sera envoyé
                à cette adresse. Il vous fournira un nom d'utilisateur et un mot de passe que vous allez devoir changer
                par la suite.
            </p>
            <p>
                Vous pouvez accéder à votre compte via la rubrique <b>Connexion</b>. Une fois connecté, vous pourrez :
            </p>
            <ul>
                <li>rentrer des informations sur les membres de votre équipe, tant participants qu'encadrants ;</li>
                <li>
                    enregistrer et télécharger des versions préliminaires de vos solutions (seulement la dernière
                    version enregistrée avant la date limite sera prise en compte pour le tournoi).
                </li>
            </ul>
            <p>
                Une fois que vous aurez fourni toutes les informations demandées dans la rubrique <b>Mon Équipe</b>,
                votre inscription pourra être validée par les organisateurs locaux.
            </p>

            <div class="alert alert-warning">
                <strong>Attention!</strong> Votre équipe ne sera considérée comme admissible à participer au tournoi que
                lorsque cette première étape aura été franchie.
            </div>

            <div class="alert alert-info">
                Pensez donc à former une équipe complète (minimum 4 participants et 1 encadrant) le plus tôt possible
                pour avoir plus de chances de participer, compte tenu du nombre des places disponibles dans chaque
                tournoi (qui sera dûment affiché sur la rubrique <b>Liste des Tournois</b>). Les équipes restantes
                seront placées en liste d'attente.
            </div>
            <p>
                Pour les équipes dont l'inscription aura été validée, des documents à télécharger, remplir et signer
                deviendront disponibles sur votre compte. Vous allez devoir ensuite les scanner et les télécharger vers
                le site pour compléter votre inscription.
            </p>
            <div class="alert alert-warning">
                <strong>Attention</strong> Les équipes qui ne respecteront pas les délais pour rendre ces documents
                risquent d'être disqualifiées et de laisser leur place aux équipes placées en liste d'attente.
            </div>
        </div>


        <div class="alert alert-light">
            Ce site est récent et il est encore possible que certaines pages ne fonctionnent
            pas correctement.
            <br/>
            Si vous remarquez des bugs, merci de les signaler à l'adresse
            <a href="mailto:contact@tfjm.org">contact@tfjm.org</a>.</em>
        </div>

    </div>

<?php require_once "footer.php" ?>