<?php

require_once "server_files/views/header.php";

/** @var Tournament $tournament */
foreach ($tournaments as $tournament) {
	echo "<h1>Tournoi de " . $tournament->getName() . "</h1>\n";
	$syntheses = $tournament->getAllSyntheses();
	/** @var Synthesis $synthesis */
	foreach ($syntheses as $synthesis) {
		$file_id = $synthesis->getFileId();
		$dest = $synthesis->getDest();
		$version = $synthesis->getVersion();
		$team = Team::fromId($synthesis->getTeamId());
		$team_name = $team->getName();
		$team_trigram = $team->getTrigram();
		echo "Note de synthèse de l'équipe $team_name ($team_trigram) pour " . ($dest == DestType::OPPOSANT ? "l'opposant" : "le rapporteur")
			. ", version $version : <a href=\"/file/$file_id\">Télécharger</a><br />";
	}

	echo "<form method=\"POST\">\n";
	echo "<input type=\"hidden\" name=\"tournament\" value=\"" . $tournament->getId() . "\" />\n";
	echo "<input style=\"width: 100%\" type=\"submit\" name=\"download_zip\" value=\"Télécharger l'archive\" />\n";
	echo "</form><hr />\n";
}

require_once "server_files/views/footer.php";
